### D.1.1 qslimgb

Procedure from library `standard.lib` (see standard_lib).

Usage:
  qslimgb(i); i ideal or module

Return:
  same type as input, a standard basis of i computed with slimgb

Note:
  Only as long as slimgb does not know qrings qslimgb should be used in case the basering is (possibly) a quotient ring.
  The quotient ideal is added to the input and slimgb is applied.

Example:

       ring R  = (0,v),(x,y,z,u),dp;
    qring Q = std(x2-y3);
    ideal i = x+y2,xy+yz+zu+u*v,xyzu*v-1;
    ideal j = qslimgb(i); j;
    ==> j[1]=y-1
    ==> j[2]=x+1
    ==> j[3]=(v)*z+(v2)*u+(-v-1)
    ==> j[4]=(-v2)*u2+(v+1)*u+1
    module m = [x+y2,1,0], [1,1,x2+y2+xyz];
    print(qslimgb(m));
    ==> y2+x,x2+xy,1,        0,    0,    -x,          -xy-xz-x,
    ==> 1,   y,    1,        y3-x2,0,    y2-1,        y2z-xy-x-z,
    ==> 0,   0,    xyz+x2+y2,0,    y3-x2,x2y2+x3z+x2y,x3z2-x3y-2*x3-xy2

User manual for Singular version 4.4.1, 2025, generated by texi2html.